import 'package:clean_android_design/clean_android_design.dart';
import 'package:flutter/material.dart';

class DefaultDialogButton extends StatelessWidget {
  final Widget titel;
  final VoidCallback onTap;
  final bool closeAfterTap;

  const DefaultDialogButton(
      {Key key, this.titel, this.onTap, this.closeAfterTap = true})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Expanded(
      child: Material(
        color: Colors.white,
        child: InkWell(
          onTap: () {
            onTap?.call();
            if (closeAfterTap) {
              Navigator.pop(context);
              Navigator.pop(context);
            }
          },
          child: Padding(
            padding: const EdgeInsets.symmetric(vertical: 10),
            child: DefaultTextStyle(
                style: TextStyles.textStyleSize(16).copyWith(
                    fontWeight: FontWeight.w500,
                    color: CleanAndroidDesignDefaultColors.black),
                child: Center(
                  child: titel,
                )),
          ),
        ),
      ),
    );
  }
}
