import 'package:clean_android_design/clean_android_design.dart';
import 'package:clean_android_design/src/utils/force_update_key.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';

class SplitNavigator {
  static ForceUpdateKey updateKey = ForceUpdateKey();
  static bool rightIsShown = false;

  static BuildContext mainContext;

  static GlobalKey<NavigatorState> leftNavigatorKey =
      GlobalKey<NavigatorState>();
  static GlobalKey<NavigatorState> rightNavigatorKey =
      GlobalKey<NavigatorState>();

  static bool _singleNavigator;
  static bool singleNavigator(BuildContext context) {
    _singleNavigator ??=
        !kIsWeb || MediaQuery.of(context).size.longestSide < 1200;
    return _singleNavigator;
  }

  static NavigatorState of(SplitNavigatorSide side) {
    if ((_singleNavigator ?? true) ||
        side.number == SplitNavigatorSide.main.number)
      return Navigator.of(mainContext);
    else if (side.number == SplitNavigatorSide.left.number)
      return leftNavigatorKey.currentState;
    else
      return rightNavigatorKey.currentState;
  }

  static void closeSecondNavigator() {
    if (_singleNavigator != null && !_singleNavigator)
      SplitNavigator.of(SplitNavigatorSide.right)
          .popUntil((route) => route is NoPageRoute);
  }
}

class SplitNavigatorSide {
  final int number;
  const SplitNavigatorSide(this.number);

  static final SplitNavigatorSide main = const SplitNavigatorSide(0);
  static final SplitNavigatorSide left = const SplitNavigatorSide(1);
  static final SplitNavigatorSide right = const SplitNavigatorSide(2);
}
