import 'package:clean_android_design/clean_android_design.dart';
import 'package:flutter/material.dart';

class LoadingScaffoldWidget extends StatelessWidget {
  final String text;
  final Widget title;
  final bool showBackArrow;

  const LoadingScaffoldWidget({
    Key key,
    this.text,
    this.title,
    this.showBackArrow,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return DefaultScaffoldWidget(
      title: title ?? Text(text),
      showBackArrow: showBackArrow,
      child: Container(
        height: MediaQuery.of(context).size.height * 0.8,
        child: Center(
          child: Container(
            width: 70,
            height: 70,
            child: CircularProgressIndicator(
              valueColor: AlwaysStoppedAnimation<Color>(
                  CleanAndroidDesignDefaultColors.defaultColor),
            ),
          ),
        ),
      ),
    );
  }
}
