import 'package:clean_android_design/clean_android_design.dart';
import 'package:flutter/material.dart';

class DescriptionText extends StatelessWidget {
  final String text;
  final Widget child;
  final EdgeInsets padding;

  const DescriptionText(this.text,
      {Key key,
      this.padding = const EdgeInsets.only(left: 40, right: 40, top: 60)})
      : child = null,
        super(key: key);

  const DescriptionText.fromChild(this.child,
      {Key key,
      this.padding = const EdgeInsets.only(left: 40, right: 40, top: 60)})
      : text = null,
        super(key: key);

  @override
  Widget build(BuildContext context) {
    return Padding(
        padding: padding,
        child: child != null
            ? DefaultTextStyle(
                style: TextStyles.textStyleSize(14),
                child: child,
                textAlign: TextAlign.center,
              )
            : Text(
                text ?? "",
                style: TextStyles.textStyleSize(14),
                textAlign: TextAlign.center,
              ));
  }
}
